Subject: CCL:Summary Maxdisk problem

From: Ian Hovell <HOVELL{at}cetem.gov.br>
Date: Fri, 4 Feb 2005 09:42:25 -0300

Dear CCLers,
I sent the following question:
 
On running a MP2 opt+ freq job, part of which I have included below, I have
encountered a problem that is initially baffling to me. I am using G03W.
The job optimizes the molecule and passes on to the second internal
frequency job and fails claiming that the Maxdisk is not enough. I have
limited maxdisk in the default route file to 40000 MB, the disk size is 73
GB, so I could increase the default value.
In the final table where the error is described it says that the
transformation will not fit into the maxdisk space. The table I assume is
using Words so it is calculating that the maxdisk being used is
947912704*8.3 GB (7.8Gb) 
 
Am I reading this table correctly and if so does anybody have any ideas of
what is going wrong.
 
Thanks in advance
 
The replies:
Dr. Hovell,
 
   G03W is still a 32 bit Fortran application.  This limits the disk
for any one job to 16GB (2GW).  With Rev, C you can get this all in one
file.  With Rev. B you need to break it into 8 files as you have below.
There is some overhead for file system usage so I recommend 245MW rather
than 2GB.  Then MaxDisk is the sum of the 8 files, i.e. MaxDisk=1960MW
 
   There is no way a single G03W job can effectively use all of the 73GB
of disk you have.  If the above is not sufficient then you will need to
either 1) find a different machine with 64 bit addressing (not Windows)
or 2) use FREQ=NUMER which will take more CPU time but no more disk or
memory.
 
   The value for MaxDisk is non-sense because it is rolling over the
sign and coming up on the other side.
Douglas J. Fox
Technical Support
Gaussian, Inc.
 
fox{at}gaussian.com
It is true that the Maxdisk fails: you have only specified 16 GB in 8 x 
2gb segments, so you are hitting the limit there. A maximum useful 
MaxDisk setting is thus 16GB - and this is an internal limit within G03 
to the best of my knowledge.
Freq jobs with MP2 can be quite demanding...
Dr. Patrik Johansson
Condensed Matter Physics Group
Chalmers University of Technology
Sweden
2 things.  First there is a very good description of the MaxDisk keyword on
the Gaussian homepage.  Also, I've seen warnings on these pages about using
the rwf file storage right up to the max (i.e. in 2 gB chunks).  I have seen
suggestions here of using something more like 1800mb, or 1900mb.  I have no
idea why.
David M. Close
 
Thanks Again
 
Ian Hovell - Ph.D. 
NUCLEO DE MODELAGEM MOLECULAR-NMM 
Centro de Tecnologia Mineral - CETEM 
Ministerio da Ciência e da Tecnologia- MCT 
Avenida Ipê, No 900 - Cidade Universitaria 
Ilha do Fundão Rio de Janeiro RJ Brasil 
CEP 21941-590 
tel 00 55 (xx) 3865 7344 ou 3865 - 7216 
Fax 00 55 (xx) 22602837 ou 2290-4286 
e-mail hovell{at}cetem.gov.br